
Showroom Mobile Banking - Feature #13243

wiseAI - in the middle close will proceed to next screen

04 March 2022 04:46 PM - chok yee fan

Status: Closed Start date: 04 March 2022

Priority: Normal Due date:  

Assignee: Hoo Dextor % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

issue

while wiseAI capture IC not yet complete, close the browser will proceed to next screen.

Expected

while wiseAI capture IC not yet complete, close the browser will NOT proceed to next screen.

History

#1 - 10 March 2022 06:48 PM - Megat AhmadSalehudin

- Status changed from New to Resolved

- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

- % Done changed from 0 to 100

r216618 | ahmadsalehudin | 2022-03-10 18:28:37 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/product-application/product-applicati

on.module.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/sl-common/plugins/inapp-bro

wser/inapp-browser.service.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/package.json

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/constants.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/sl-common/plugins/custom-ur

l-scheme/custom-url-scheme.service.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/config.xml

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/ekyc/ekyc-mb/ekyc-mb.component.t

s

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/sl-common/plugins/custom-ur

l-scheme

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/product-application/product-applicati

on.ts
#2 - 11 March 2022 11:12 AM - Wee Meng Soh

- Status changed from Resolved to Pending SIT 

Released Showroom MY SIT 1.0.0.7 in MY

#3 - 17 March 2022 05:48 PM - chok yee fan

- Status changed from Pending SIT  to Feedback

- Assignee changed from Hoo Dextor to Megat AhmadSalehudin

cannot proceed to next screen after complete the wise ai video capture

#4 - 28 March 2022 05:45 PM - Megat AhmadSalehudin

- Status changed from Feedback to Resolved

- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

r216660 | ahmadsalehudin | 2022-03-29 01:42:10 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/ekyc/ekyc-mb/ekyc-mb.component.

html

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/config.xml

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/ekyc/ekyc.component.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/ekyc/ekyc-mb/ekyc-mb.component.t

s

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/product-application/product-applicati

on.ts
----------------------------------------------------------------------------

Root Cause: On Android, the deeplink cant be opened by Javascript. Need to be opened by user action ( click on button ).

Solution: Implemented deeplink click on button for Android

Note: Please refer to link below

https://stackoverflow.com/questions/57367745/deep-link-not-working-from-chrome-custom-tabs-with-device-having-old-version-of

#5 - 01 April 2022 11:04 AM - Wee Meng Soh

- Status changed from Resolved to Pending SIT 

Released Showroom MY SIT 1.0.0.10 in MY
#6 - 01 April 2022 04:23 PM - chok yee fan

- Status changed from Pending SIT  to Closed

tested andoird ok.

no ios unable to test
